﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule.MonthViewSingle;
using System.Drawing;
using Infragistics.Win.UltraWinSchedule.MonthViewMulti;
using Infragistics.Win.UltraWinSchedule;

namespace MonthViewPrint
{
    public class CreatingTextUIElement : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            Infragistics.Win.UltraWinSchedule.MonthViewSingle.DayUIElement dayEl = parent as Infragistics.Win.UltraWinSchedule.MonthViewSingle.DayUIElement;
            if (dayEl != null)
            {
                Day newDay = dayEl.GetContext(typeof(Day)) as Day;

                if (newDay.Appointments.Count != 0)
                {
                    TextUIElement newText = new TextUIElement(dayEl, "Count is " + newDay.Appointments.Count.ToString());
                    newText.TextHAlign = HAlign.Center;
                    newText.Rect = new Rectangle(dayEl.Rect.X, dayEl.Rect.Y + dayEl.Rect.Height - 15, dayEl.Rect.Width, 15);
                    dayEl.ChildElements.Add(newText);
                }
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}

